# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.MakeShareRequest do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :propertyId,
    :phoneNumber,
    :firstName,
    :lastName
  ]

  @type t :: %__MODULE__{
    :propertyId => integer() | nil,
    :phoneNumber => String.t | nil,
    :firstName => String.t | nil,
    :lastName => String.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.MakeShareRequest do
  def decode(value, _options) do
    value
  end
end

